#ifndef ETHERLIB_PCKT_ASSEMBLER_H
#define ETHERLIB_PCKT_ASSEMBLER_H

#include "packet.h"

struct EthInterface_;

#define ETH_FRAME_MIN_SIZE (64)

/**
 * Assemble packet.
 * @param raw raw packet
 * @param cooked packet information and headers
 * @return 0 on success OR -1 on failure
 */
int pckt_assemble(RawPckt *raw, Pckt *cooked);

#endif //ETHERLIB_PCKT_ASSEMBLER_H
